Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class ManagedHibernateSession

    java.lang.Object
      org.jboss.seam.core.ManagedHibernateSession

All Implemented Interfaces:
  Serializable, EventListener, javax.servlet.http.HttpSessionActivationListener, Mutable, PersistenceContextManager

    @Scope(value=CONVERSATION)
    @Intercept(value=NEVER)
    public class ManagedHibernateSession

extends Object
implements Serializable, javax.servlet.http.HttpSessionActivationListener, Mutable, PersistenceContextManager

A Seam component that manages a conversation-scoped extended persistence context that can be shared by arbitrary other components.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`ManagedHibernateSession()`

Method Summary
`void` | `changeFlushMode(FlushModeType flushMode)`
`boolean` | `clearDirty()` Get and clear the dirty flag.
`void` | `create(Component component)`
`void` | `destroy()`
`String` | `getComponentName()`
`List<Filter>` | `getFilters()` Hibernate filters to enable automatically
`org.hibernate.Session` | `getSession()`
`Expressions.ValueBinding<org.hibernate.SessionFactory>` | `getSessionFactory()`
`String` | `getSessionFactoryJndiName()` The JNDI name of the Hibernate SessionFactory, if it is to be obtained from JNDI
`void` | `sessionDidActivate(javax.servlet.http.HttpSessionEvent event)`
`void` | `sessionWillPassivate(javax.servlet.http.HttpSessionEvent event)`
`void` | `setFilters(List<Filter> filters)`
`void` | `setSessionFactory(Expressions.ValueBinding<org.hibernate.SessionFactory> sessionFactory)` A value binding expression that returns a SessionFactory, if it is to be obtained as a Seam component reference
`void` | `setSessionFactoryJndiName(String sessionFactoryName)`
`protected void` | `setSessionFlushMode(FlushModeType flushMode)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ManagedHibernateSession

    public ManagedHibernateSession()

Method Detail

### clearDirty

    public boolean clearDirty()

  Description copied from interface: `Mutable`
  Get and clear the dirty flag.

  Specified by:
    `clearDirty` in interface `Mutable`
  Returns:
    true if the instance is dirty and requires replication

### create

    @Create
    public void create(Component component)

### getSession

    @Unwrap
    public org.hibernate.Session getSession()

### sessionWillPassivate

    public void sessionWillPassivate(javax.servlet.http.HttpSessionEvent event)

  Specified by:
    `sessionWillPassivate` in interface `javax.servlet.http.HttpSessionActivationListener`

### sessionDidActivate

    public void sessionDidActivate(javax.servlet.http.HttpSessionEvent event)

  Specified by:
    `sessionDidActivate` in interface `javax.servlet.http.HttpSessionActivationListener`

### destroy

    @Destroy
    public void destroy()

### getComponentName

    public String getComponentName()

### changeFlushMode

    public void changeFlushMode(FlushModeType flushMode)

  Specified by:
    `changeFlushMode` in interface `PersistenceContextManager`

### setSessionFlushMode

    protected void setSessionFlushMode(FlushModeType flushMode)

### getSessionFactoryJndiName

    public String getSessionFactoryJndiName()

  The JNDI name of the Hibernate SessionFactory, if it is to be obtained from JNDI

### setSessionFactoryJndiName

    public void setSessionFactoryJndiName(String sessionFactoryName)

### setSessionFactory

    public void setSessionFactory(Expressions.ValueBinding<org.hibernate.SessionFactory> sessionFactory)

  A value binding expression that returns a SessionFactory, if it is to be obtained as a Seam component reference

### getSessionFactory

    public Expressions.ValueBinding<org.hibernate.SessionFactory> getSessionFactory()

### getFilters

    public List<Filter> getFilters()

  Hibernate filters to enable automatically

### setFilters

    public void setFilters(List<Filter> filters)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD